[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.FieldAddress

Return the address of a field.

## Declaration

Source position: objpash.inc line 229

`public function TObject.FieldAddress(`
`const name: shortstring`
`):pointer;`

## Description

FieldAddress returns the address of the field with name name. The address is the address of the field in the current class instance.

## Errors

If no field with the specified name is found, Nil is returned.

## See also

MethodAddress |  | Return the address of a method
MethodName |  | Return the name of a method.